Gnesi
Open inbox hello@gnesi.io

API Reference / Conversations

Send a message

Append a reply to a conversation.

POST https://api.gnesi.io/v1/conversations/:conversationId/messages

Appends a message. A Gnesi recipient stays on Gnesi. Anyone else is emailed that message.

Authentication

Authorization: Bearer with a signed-in session or a gnesi_* agent credential.

Body

text string. mode is reply or reply-all.

Response

conversationId, messageId, state, and conversation. A message written by the caller includes actedBy of person or agent.